<?php
declare(strict_types=1);

namespace CakeProducts\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ProductSkusFixture
 */
class ProductSkusFixture extends TestFixture
{
    /**
     * Table name
     *
     * @var string
     */
    public string $table = 'product_skus';
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [
                'id' => '3a477e3e-7977-4813-81f6-f85949613979',
                'product_id' => 'cfc98a9a-29b2-44c8-b587-8156adc05317',
                'sku' => '3a477e3e-7977-4813-81f6-f85949613979',
                'barcode' => '3a477e3e-7977-4813-81f6-f85949613979',
                'price' => 1.5,
                'cost' => 1.5,
                'created' => '2025-04-15 09:09:15',
                'modified' => '2025-04-15 09:09:15',
                'deleted' => null,
            ],
        ];
        parent::init();
    }
}
