<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\ProductCategoryVariant $productCategoryVariant
 * @var \Cake\Collection\CollectionInterface|string[] $productCategories
 * @var \Cake\Collection\CollectionInterface|string[] $products
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('List Product Category Variants'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="productCategoryVariants form content">
            <?= $this->Form->create($productCategoryVariant) ?>
            <fieldset>
                <legend><?= __('Add Product Category Variant') ?></legend>
                <?= $this->element('ProductCategoryVariants/form'); ?>
            </fieldset>
            <?= $this->Form->button(__('Submit')) ?>
            <?= $this->Form->end() ?>
        </div>
    </div>
</div>
<?= $this->Html->script('CakeProducts.product_category_variant_options.js'); ?>
