<?php
declare(strict_types=1);

namespace CakeProducts\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ProductCategoryAttributeOptionsFixture
 */
class ProductCategoryAttributeOptionsFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [
                'id' => 'e06f1723-2456-483a-b3c4-004603e032a8',
                'product_category_attribute_id' => '37078cf0-0130-4b93-bb7e-abe7d665ed2c',
                'attribute_value' => 'Red',
                'attribute_label' => 'Red',
                'enabled' => 1,
                'deleted' => null,
            ],
            [
                'id' => 'e06f1723-2456-483a-b3c4-004603e032a1',
                'product_category_attribute_id' => '37078cf0-0130-4b93-bb7e-abe7d665ed2c',
                'attribute_value' => 'Blue',
                'attribute_label' => 'Blue',
                'enabled' => 1,
                'deleted' => null,
            ],
            [
                'id' => 'e06f1723-2456-483a-b3c4-004603e032a2',
                'product_category_attribute_id' => '37078cf0-0130-4b93-bb7e-abe7d665ed2c',
                'attribute_value' => 'Green',
                'attribute_label' => 'Green',
                'enabled' => 1,
                'deleted' => null,
            ]
        ];
        parent::init();
    }
}
